TextMessageUtil (ActiveMQ Artemis Web 1.1.0.wildfly-008 API)
Date: 2015-10-29

org.apache.activemq.artemis.reader

## Class TextMessageUtil

- java.lang.Object
- - org.apache.activemq.artemis.reader.MessageUtil
  - - org.apache.activemq.artemis.reader.TextMessageUtil

-     public class TextMessageUtil
      extends MessageUtil

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `CONNECTION_ID_PROPERTY_NAME, CORRELATIONID_HEADER_NAME, JMS, JMS_, JMSX, JMSXDELIVERYCOUNT, JMSXGROUPID, REPLYTO_HEADER_NAME, TYPE_HEADER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextMessageUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SimpleString` | `readBodyText(ActiveMQBuffer buff)` Utility method to set the Text message on a message body
    `static void` | `writeBodyText(ActiveMQBuffer buff, SimpleString text)` Utility method to set the Text message on a message body

    - ### Methods inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `clearProperties, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSReplyTo, getJMSType, getPropertyNames, propertyExists, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSReplyTo, setJMSType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextMessageUtil

          public TextMessageUtil()

  - ### Method Detail

    - #### writeBodyText

          public static void writeBodyText(ActiveMQBuffer buff,
                                           SimpleString text)

      Utility method to set the Text message on a message body

    - #### readBodyText

          public static SimpleString readBodyText(ActiveMQBuffer buff)

      Utility method to set the Text message on a message body

Copyright © 2015. All rights reserved.